Skip to main content
GET
/
automation
/
2026-09-beta
/
flows
/
{flowId}
/
revisions
/
{revisionId}
Retrieve revision
curl --request GET \
  --url https://api.hubapi.com/automation/2026-09-beta/flows/{flowId}/revisions/{revisionId} \
  --header 'Authorization: Bearer <token>'
{
  "flow": {
    "type": "CONTACT_FLOW",
    "id": "<string>",
    "isEnabled": true,
    "flowType": "WORKFLOW",
    "revisionId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "nextAvailableActionId": "<string>",
    "actions": [
      {
        "actionId": "<string>",
        "inputValue": {
          "actionId": "<string>",
          "dataKey": "<string>",
          "type": "FIELD_DATA"
        },
        "staticBranches": [
          {
            "branchValue": "<string>"
          }
        ],
        "type": "STATIC_BRANCH",
        "defaultBranchName": "<string>"
      }
    ],
    "timeWindows": [
      {
        "day": "FRIDAY"
      }
    ],
    "blockedDates": [
      {
        "dayOfMonth": 123,
        "month": "APRIL",
        "year": 123
      }
    ],
    "customProperties": {},
    "dataSources": [
      {
        "associationCategory": "HUBSPOT_DEFINED",
        "associationTypeId": 123,
        "name": "<string>",
        "objectTypeId": "<string>",
        "type": "ASSOCIATION"
      }
    ],
    "crmObjectCreationStatus": "PENDING",
    "suppressionListIds": [
      123
    ],
    "canEnrollFromSalesforce": true,
    "objectTypeId": "<string>",
    "name": "<string>",
    "description": "<string>",
    "uuid": "<string>",
    "startActionId": "<string>",
    "enrollmentCriteria": {
      "listFilterBranch": {
        "filterBranchOperator": "<string>",
        "filterBranchType": "OR",
        "filterBranches": [
          {
            "filterBranchOperator": "<string>",
            "filterBranchType": "AND",
            "filterBranches": "<array>",
            "filters": [
              "<unknown>"
            ]
          }
        ],
        "filters": [
          {
            "filterType": "PROPERTY",
            "operation": "<unknown>",
            "property": "<string>"
          }
        ]
      },
      "reEnrollmentTriggersFilterBranches": [
        {
          "filterBranchOperator": "<string>",
          "filterBranchType": "AND",
          "filterBranches": "<array>",
          "filters": [
            {
              "filterType": "PROPERTY",
              "operation": "<unknown>",
              "property": "<string>"
            }
          ]
        }
      ],
      "shouldReEnroll": true,
      "type": "LIST_BASED",
      "unEnrollObjectsNotMeetingCriteria": true
    },
    "enrollmentSchedule": {
      "timeOfDay": {
        "hour": 123,
        "minute": 123
      },
      "type": "DAILY"
    },
    "goalFilterBranch": {
      "filterBranchOperator": "<string>",
      "filterBranchType": "OR",
      "filterBranches": [
        {
          "filterBranchOperator": "<string>",
          "filterBranchType": "AND",
          "filterBranches": "<array>",
          "filters": [
            {
              "filterType": "PROPERTY",
              "operation": "<unknown>",
              "property": "<string>"
            }
          ]
        }
      ],
      "filters": [
        {
          "filterType": "PROPERTY",
          "operation": {
            "includeObjectsWithNoValueSet": true,
            "operationType": "BOOL",
            "operator": "<string>",
            "value": true
          },
          "property": "<string>"
        }
      ]
    },
    "eventAnchor": {
      "contactProperty": "<string>",
      "type": "CONTACT_PROPERTY_ANCHOR"
    }
  },
  "id": "<string>",
  "revisionCreatedAt": "2023-11-07T05:31:56Z",
  "revisionId": "<string>"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

flowId
string
required

The unique identifier of the automation flow.

revisionId
string
required

The unique identifier of the specific revision of the flow.

Response

successful operation

flow
object
required

The flow at this revision level

id
string
required

The flow's ID

revisionCreatedAt
string<date-time>
required

The timestamp this revision was created.

revisionId
string
required

The revision of this flow

Last modified on March 30, 2026